<?php

/*
Plugin Name: DMS Shortcode Module For Divi 
Plugin URI:  https://www.urban-energy.eu/plugin/
Description: Consente di <strong>inserire moduli della libreria DIVI, all'interno di un altro modulo Divi</strong> tramite shortcode. Possibilità di integrare un <strong>Mega menu</strong> creato con Modulo Divi.
Author:      Rosetta Facciolini - Urban Energy
Version:     2.6
Author URI:  https://www.urban-energy.eu/
License:     GPL2

Questo Plugin è gratuito e puoi ridistribuirlo o modificarlo secondo i termini della GNU General Public License.
Non viene fornita una garanzia del suo funzionamento o un'assistenza per errori di funzionalità o implementazioni.
*/

//DMS Exit if direct access
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

//DMS Funzione per mostrare il modulo
function dmsdivimodule_shortcode($atts) {
	$atts = shortcode_atts(array('id' => ''), $atts);
	return do_shortcode('[et_pb_section global_module="'.$atts['id'].'"][/et_pb_section]');	
}
add_shortcode('dmsdivimodule', 'dmsdivimodule_shortcode');

//DMS Aggiornamento del 18/11/2919 - aggiunge la possibilità di vedere ID del modulo direttamente da pannello Libreria Divi 
//DMS Crea Colonna in libreria Divi
add_filter( 'manage_et_pb_layout_posts_columns', 'dmsdivimodule_column', 5 );
add_action( 'manage_et_pb_layout_posts_custom_column', 'dmsdivimodule_content', 5, 2 );

//DMS Colonna Admin
function dmsdivimodule_column( $columns ) {
$columns['dmsdivimodule_id'] = 'Module Shortcode';
return $columns;
}

//DMS Display Shortcode
function dmsdivimodule_content( $column, $id ) {
if( 'dmsdivimodule_id' == $column ) {
?>
<p>[dmsdivimodule id="<?php echo $id ?>"]</p>
<?php
}
}
  
?>